MASKFEAT(1e)

NAME
maskfeat - Write a sequence with masked features

SYNOPSIS

maskfeat -sequence seqall [-type string] [-tolower toggle] -maskchar string -outseq seqout

maskfeat -help

DESCRIPTION

maskfeat is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Edit,Feature tables" command group(s).

OPTIONS

  Input section

-sequence seqall

  Additional section

-type string
    By default any feature in the feature table with a type starting 'repeat' is masked. You can set this to be any feature type you wish to mask. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to mask more than one type, separate their names with spaces or commas, eg: *UTR repeat* Default value: repeat*

-tolower toggle
    The region can be 'masked' by converting the sequence characters to lower-case, some non-EMBOSS programs e.g. fasta can interpret this as a masked region. The sequence is unchanged apart from the case change. You might like to ensure that the whole sequence is in upper-case before masking the specified regions to lower-case by using the '-supper' flag. Default value: N

-maskchar string
    Character to use when masking. Default is 'X' for protein sequences, 'N' for nucleic sequences. If the mask character is set to be the SPACE character or a null character, then the sequence is 'masked' by changing it to lower-case, just as with the '-lowercase' flag. Default value: @($(acdprotein)?X:N)

  Output section

-outseq seqout

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

maskfeat is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.